summaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
authorSascha Schumann <sas@php.net>2000-12-20 17:21:37 +0000
committerSascha Schumann <sas@php.net>2000-12-20 17:21:37 +0000
commit7f96af83b222dd3b09283250924037ae5d99bd51 (patch)
tree396d5c982cb3040652cd614aba41b5c478bf79da /build
parent060e647e5e420dbb9654314d4d1e3f503acce28a (diff)
downloadphp-git-7f96af83b222dd3b09283250924037ae5d99bd51.tar.gz
Stop automatically passing vars to AC_SUBST through PHP_SUBST.
There are some variables which are needed for Makefiles and files created by AC_OUTPUT; we use PHP_SUBST_OLD for those now. genif.sh was moved to an appropiate place.
Diffstat (limited to 'build')
-rw-r--r--build/genif.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/build/genif.sh b/build/genif.sh
new file mode 100644
index 0000000000..96cf2b162b
--- /dev/null
+++ b/build/genif.sh
@@ -0,0 +1,41 @@
+#! /bin/sh
+
+# $Id: genif.sh,v 1.1 2000-12-20 17:21:37 sas Exp $
+# replacement for genif.pl
+
+infile="$1"
+shift
+srcdir="$1"
+shift
+extra_module_ptrs="$1"
+shift
+awk="$1"
+shift
+
+if test "$infile" = "" -o "$srcdir" = ""; then
+ echo "please supply infile and srcdir"
+ exit 1
+fi
+
+module_ptrs="$extra_module_ptrs"
+header_list=""
+olddir=`pwd`
+cd $srcdir
+
+for ext in ${1+"$@"} ; do
+ module_ptrs=" phpext_${ext}_ptr,\\\n$module_ptrs"
+ header_list="$header_list ext/$ext/*.h"
+done
+
+includes=`$awk -f ./build/print_include.awk $header_list`
+
+cd $olddir
+
+cat $infile | \
+ sed \
+ -e "s'@EXT_INCLUDE_CODE@'$includes'" \
+ -e "s'@EXT_MODULE_PTRS@'$module_ptrs'" \
+ -e 's/[\]n/\
+/g'
+
+